#ifndef _UCGETCHAR_H
#define _UCGETCHAR_H

/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+

    System: UCL Cryosat IO Library

    Sub-system: MSSL Shared

    Description:
    Include File.

    ----------------------------------------------
    Documentation cross reference:


    ----------------------------------------------
    This file lives in ---
    ./mssl_shared

    Coding by:
    David J Brockley
    http://cryosat.mssl.ucl.ac.uk/public

    ----------------------------------------------
    Filename              :     $RCSfile: ucGetChar.h,v $
    CVS Version Number    :     $Revision: 1.1 $
    Last Update           :     $Date: 2010/07/16 14:37:56 $
    What String           :     @(#)$Id: ucGetChar.h,v 1.1 2010/07/16 14:37:56 djb Exp $
    Log                   :
                                $Log: ucGetChar.h,v $
                                Revision 1.1  2010/07/16 14:37:56  djb
                                Port in CryoSat tools from internal branch.

                                Revision 1.2  2005/09/26 09:50:21  djb
                                Changes to documentation.

                                Revision 1.1.1.1  2005/09/23 13:51:56  djb
                                Initial import of sources to CVS.



    -----------------------------------------------------------
    This file contains the Unpublished Intellectual Property of
    University College London and All Rights Are Reserved.
        Copyright (c) University College London, 2005
    -----------------------------------------------------------
-
*/

#pragma ident "@(#)$Id: ucGetChar.h,v 1.1 2010/07/16 14:37:56 djb Exp $ MSSL"

/* INCLUDE FILES */

/*-- standard C headers --*/

/*-- programmer created headers --*/

/*-- global and external variable declarations --*/

/* STRUCTURES */

/* FUNCTIONS */

/*-- local function prototypes --*/

extern unsigned char ucGetChar( const char* s_parameter, /* which parameter */
                                const char* c_block, /* data block containing params */
                                long int    j_block_size, /* size of data block */
                                short int*  pi_error /* pointer to return error flag */
                                );

/* returns in i_error -1="Param Not Found", 0="Success", 1="Syntax Error" */

#endif /* _UCGETCHAR_H */
